Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.util.spring
Class GenericBeanUpdaterDefinition

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.util.spring.GenericBeanUpdaterDefinition

    public class GenericBeanUpdaterDefinition

extends java.lang.Object

this doesn't actually do anything, just has a definition which is used by an updater

Author:
  bob

Field Summary
`static java.lang.String` | `APPEND`
`static java.lang.String` | `INSERT`
`static java.lang.String` | `SET`

Constructor Summary
`GenericBeanUpdaterDefinition()`

Method Summary
`java.lang.String` | `getBeanName()`
`java.lang.String` | `getOperation()`
`int` | `getOrder()`
`java.lang.String` | `getPropertyName()`
`void` | `setBeanName(java.lang.String beanName)`
`void` | `setOperation(java.lang.String operation)`
`void` | `setOrder(int order)`
`void` | `setPropertyName(java.lang.String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SET

    public static final java.lang.String SET

See Also:
  Constant Field Values

### APPEND

    public static final java.lang.String APPEND

See Also:
  Constant Field Values

### INSERT

    public static final java.lang.String INSERT

See Also:
  Constant Field Values

Constructor Detail

### GenericBeanUpdaterDefinition

    public GenericBeanUpdaterDefinition()

Method Detail

### getOrder

    public int getOrder()

### setOrder

    public void setOrder(int order)

### getBeanName

    public java.lang.String getBeanName()

### setBeanName

    public void setBeanName(java.lang.String beanName)

### getPropertyName

    public java.lang.String getPropertyName()

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

### getOperation

    public java.lang.String getOperation()

### setOperation

    public void setOperation(java.lang.String operation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.